### Class

# FwupdPlugin FdtImage

#### Description [src]

    class FwupdPlugin.FdtImage : FwupdPlugin.Firmware {
      parent_instance: FuFirmware
    }

A Flattened DeviceTree firmware image.

See also: `FuFdtFirmware`

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_fdt_image_new

Creates a new `FuFirmware` of sub type FDT image.

Available since: 1.8.2

#### Instance methods

###### fu_fdt_image_get_attr

Gets a attribute from the image.

Available since: 1.8.2

###### fu_fdt_image_get_attr_str

Gets a string attribute from the image. `val` is always `NUL` terminated.

Available since: 1.8.2

###### fu_fdt_image_get_attr_strlist

Gets a stringlist attribute from the image. `val` is always `NUL` terminated.

Available since: 1.8.2

###### fu_fdt_image_get_attr_u32

Gets a uint32 attribute from the image.

Available since: 1.8.2

###### fu_fdt_image_get_attr_u64

Gets a uint64 attribute from the image.

Available since: 1.8.2

###### fu_fdt_image_get_attrs

Gets all the attributes stored on the image.

Available since: 1.8.2

###### fu_fdt_image_set_attr

Sets a attribute for the image.

Available since: 1.8.2

###### fu_fdt_image_set_attr_str

Sets a string attribute for the image.

Available since: 1.8.2

###### fu_fdt_image_set_attr_strlist

Sets a stringlist attribute for the image.

Available since: 1.8.2

###### fu_fdt_image_set_attr_uint32

Sets a uint32 attribute for the image.

Available since: 1.8.2

###### fu_fdt_image_set_attr_uint64

Sets a uint64 attribute for the image.

Available since: 1.8.2

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

Available since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginFdtImageClass {
      FuFirmwareClass parent_class;

    }

###### Class members

`parent_class`

    FuFirmwareClass

| No description available.